This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 180861 - Error activating XKB configuration
Error activating XKB configuration
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnome-applets (Show other bugs)
4.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
desktop-bugs@redhat.com
:
: 180862 180863 180864 180865 180866 180867 180868 180869 180870 180872 180873 180874 180875 180876 180877 180878 180879 180880 180881 180882 180883 180884 180885 180886 180887 180888 180889 180890 180891 180892 180893 180894 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-10 06:06 EST by Karsten Elgaard Sørensen
Modified: 2012-06-20 09:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:26:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karsten Elgaard Sørensen 2006-02-10 06:06:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 2.0.50215)

Description of problem:
After graphical login a window with the following text is displayed:

Error activating XKB configuration.
Probably internal X server problem.

This is happening both on local console and on login via XDMCP.

LOCALLY:
# xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "xorg", "pc105", "dk", "", ""
_XKB_RULES_NAMES(STRING) = "xorg", "pc105", "dk", "", ""
# gconftool-2 -R /desktop/gnome/peripherals/keyboard/xkb
 layouts = []
 model = pc105
 overrideSettings = false
 options = []
 update_handlers = []
#
XDCMP:
# xprop -root | grep XKB
# gconftool-2 -R /desktop/gnome/peripherals/keyboard/xkb
 layouts = [us]
 model = pc105
 overrideSettings = false
 options = []
 update_handlers = []

Version RHEL4 update 2

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.login via graphical interface
2.
3.
  

Additional info:
Comment 1 Adam Jackson 2006-02-11 22:55:34 EST
*** Bug 180862 has been marked as a duplicate of this bug. ***
Comment 2 Adam Jackson 2006-02-11 22:56:03 EST
*** Bug 180864 has been marked as a duplicate of this bug. ***
Comment 3 Adam Jackson 2006-02-11 22:56:07 EST
*** Bug 180863 has been marked as a duplicate of this bug. ***
Comment 4 Adam Jackson 2006-02-11 22:56:23 EST
*** Bug 180865 has been marked as a duplicate of this bug. ***
Comment 5 Adam Jackson 2006-02-11 22:56:28 EST
*** Bug 180866 has been marked as a duplicate of this bug. ***
Comment 6 Adam Jackson 2006-02-11 22:56:43 EST
*** Bug 180867 has been marked as a duplicate of this bug. ***
Comment 7 Adam Jackson 2006-02-11 22:57:00 EST
*** Bug 180868 has been marked as a duplicate of this bug. ***
Comment 8 Adam Jackson 2006-02-11 22:57:09 EST
*** Bug 180869 has been marked as a duplicate of this bug. ***
Comment 9 Adam Jackson 2006-02-11 22:57:24 EST
*** Bug 180870 has been marked as a duplicate of this bug. ***
Comment 10 Adam Jackson 2006-02-11 22:58:12 EST
*** Bug 180872 has been marked as a duplicate of this bug. ***
Comment 11 Adam Jackson 2006-02-11 22:58:20 EST
*** Bug 180873 has been marked as a duplicate of this bug. ***
Comment 12 Adam Jackson 2006-02-11 22:58:33 EST
*** Bug 180875 has been marked as a duplicate of this bug. ***
Comment 13 Adam Jackson 2006-02-11 22:58:38 EST
*** Bug 180874 has been marked as a duplicate of this bug. ***
Comment 14 Adam Jackson 2006-02-11 22:58:50 EST
*** Bug 180876 has been marked as a duplicate of this bug. ***
Comment 15 Adam Jackson 2006-02-11 22:59:04 EST
*** Bug 180877 has been marked as a duplicate of this bug. ***
Comment 16 Adam Jackson 2006-02-11 22:59:16 EST
*** Bug 180878 has been marked as a duplicate of this bug. ***
Comment 17 Adam Jackson 2006-02-11 22:59:32 EST
*** Bug 180879 has been marked as a duplicate of this bug. ***
Comment 18 Adam Jackson 2006-02-11 22:59:32 EST
*** Bug 180880 has been marked as a duplicate of this bug. ***
Comment 19 Adam Jackson 2006-02-11 22:59:46 EST
*** Bug 180881 has been marked as a duplicate of this bug. ***
Comment 20 Adam Jackson 2006-02-11 22:59:59 EST
*** Bug 180882 has been marked as a duplicate of this bug. ***
Comment 21 Adam Jackson 2006-02-11 23:00:20 EST
*** Bug 180883 has been marked as a duplicate of this bug. ***
Comment 22 Adam Jackson 2006-02-11 23:00:23 EST
*** Bug 180884 has been marked as a duplicate of this bug. ***
Comment 23 Adam Jackson 2006-02-11 23:00:38 EST
*** Bug 180886 has been marked as a duplicate of this bug. ***
Comment 24 Adam Jackson 2006-02-11 23:00:40 EST
*** Bug 180885 has been marked as a duplicate of this bug. ***
Comment 25 Adam Jackson 2006-02-11 23:01:00 EST
*** Bug 180887 has been marked as a duplicate of this bug. ***
Comment 26 Adam Jackson 2006-02-11 23:01:27 EST
*** Bug 180888 has been marked as a duplicate of this bug. ***
Comment 27 Adam Jackson 2006-02-11 23:01:31 EST
*** Bug 180889 has been marked as a duplicate of this bug. ***
Comment 28 Adam Jackson 2006-02-11 23:01:49 EST
*** Bug 180890 has been marked as a duplicate of this bug. ***
Comment 29 Adam Jackson 2006-02-11 23:01:49 EST
*** Bug 180891 has been marked as a duplicate of this bug. ***
Comment 30 Adam Jackson 2006-02-11 23:02:14 EST
*** Bug 180892 has been marked as a duplicate of this bug. ***
Comment 31 Adam Jackson 2006-02-11 23:02:15 EST
*** Bug 180893 has been marked as a duplicate of this bug. ***
Comment 32 Adam Jackson 2006-02-11 23:02:39 EST
*** Bug 180894 has been marked as a duplicate of this bug. ***
Comment 33 Mike A. Harris 2006-02-13 18:06:54 EST
Unfortunately, GNOME's keyboard applet displays this message, and incorrectly
blames the problem on a faulty X server.  It turns out the majority of the
problems are traced down to being bugs in libxklavier or the keyboard applet
itself.

I really wish the GNOME developers (or at least the Red hat package maintainer)
would remove this erroneous error message.

Reassigning to gnome-applets for diagnosis.
Comment 34 Joachim Backes 2009-06-10 17:39:22 EDT
The problem persists in F11.
Comment 35 Joachim Backes 2009-06-11 02:36:20 EDT
xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "evdev", "evdev", "us", "nodeadkeys", "terminate:ctrl_alt_bksp"
_XKB_RULES_NAMES(STRING) = "evdev", "evdev", "us", "nodeadkeys", "terminate:ctrl_alt_bksp"

============================================================================
gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
 layouts = []
 overrideSettings = false
 options = []
 model = pc101
Comment 36 Joachim Backes 2009-06-11 02:44:48 EDT
I got rid from the problem by re-changing my keyboard controls using System->preferences-keyboard to Germany-no-deadkeys.
Comment 37 Alexandr Kara 2009-06-14 06:14:08 EDT
Fixed by going to System -> Preferences -> Keyboard -> Layouts and selecting "Reset to Defaults" and changing settings again.

Maybe changing "Keyboard model" to "Evdev-managed keyboard" would help, too.
Comment 38 Tim Jackson 2009-06-29 15:20:36 EDT
Had the problem on an F10->F11 upgrade.
"Reset to defaults" didn't fix it for me, but going to System -> Preferences -> Keyboard and adding the same layout ("United Kingdom") as I already had, and then deleting the original (now duplicate) in the list fixed it.

My original (broken) output:

$ xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "evdev", "evdev", "us", "", "terminate:ctrl_alt_bksp"
_XKB_RULES_NAMES(STRING) = "evdev", "evdev", "gb", "", ""
$ gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
 layouts = [uk]
 options = []
 model = evdev

After I fiddled with it and it worked:
$ xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "evdev", "evdev", "us", "", "terminate:ctrl_alt_bksp"
_XKB_RULES_NAMES(STRING) = "evdev", "evdev", "gb", "", "grp:shift_caps_toggle"
$ gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
 layouts = [gb]
 options = [grp	grp:shift_caps_toggle]
 model =
Comment 39 Jiri Pallich 2012-06-20 09:26:56 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.